Subject: Re: linux-next: build warning after merge of the vfs tree

From: Al Viro <[email-masked]>
Date: Mon, 5 Jul 2010 09:10:19 +0100

On Mon, Jul 05, 2010 at 10:01:21AM +1000, Stephen Rothwell wrote:
> Hi Al,
> 
> After merging the vfs tree, today's linux-next build (powerpc
> ppc64_defconfig) produced these warnings:
> 
> fs/cifs/cifsfs.c: In function 'cifs_drop_inode':
> fs/cifs/cifsfs.c:481: warning: 'return' with a value, in function returning void
> fs/cifs/cifsfs.c:483: warning: 'return' with a value, in function returning void
> fs/cifs/cifsfs.c: At top level:
> fs/cifs/cifsfs.c:491: warning: initialization from incompatible pointer type
> 
> Introduced by commit 12420ac341533f3715b3deb788637568f22b78ff ("cifs:
> implement drop_inode superblock op") (which entered Linus' tree on June
> 28) interacting with commit 1fd3b83deb5125288bee98f32a41c3267b8ed534
> ("Make ->drop_inode() just return whether inode needs to be dropped")
> from the vfs tree.  I guess the cifs tree was missed bye the vfs tree
> update.

Fixed.  Incidentally, could somebody explain WTF do we put the inodes into
icache in case !serverino?